-----------------------------------------------------------------------------------------------
-- Client Lua Script for FindSpellId
-- Copyright (c) Foxykeep. All rights reserved
-----------------------------------------------------------------------------------------------

require "Window"


-----------------------------------------------------------------------------------------------
-- FindSpellId Module Definition
-----------------------------------------------------------------------------------------------
local FindSpellId = {}


-----------------------------------------------------------------------------------------------
-- FindSpellId Initialization
-----------------------------------------------------------------------------------------------

function FindSpellId:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self

    return o
end

function FindSpellId:Init()
    Apollo.RegisterAddon(self)
end


-----------------------------------------------------------------------------------------------
-- FindSpellId OnLoad
-----------------------------------------------------------------------------------------------

function FindSpellId:OnLoad()

	Apollo.RegisterSlashCommand("findspellid", "GetSpellIds", self)
	Apollo.RegisterSlashCommand("findSpellId", "GetSpellIds", self)
	Apollo.RegisterSlashCommand("FindSpellId", "GetSpellIds", self)
end


-----------------------------------------------------------------------------------------------
-- Spell Ids detection
-----------------------------------------------------------------------------------------------

function FindSpellId:GetSpellIds(cmd, strNameToFind)
	Print("[FindSpellId] Finding ID for spell: " .. strNameToFind .. " ...")

	local abilities = AbilityBook.GetAbilitiesList()
	if not abilities then
		return
	end

	 for _, v in pairs(abilities) do
 		if v.strName == strNameToFind then
 			Print("[FindSpellId] Spell found! ID is " .. v.nId)
 			return;
 		end
	 end

	 Print("[FindSpellId] Spell not found :(")
end
 
-----------------------------------------------------------------------------------------------
-- FindSpellId Instance
-----------------------------------------------------------------------------------------------
local FindSpellIdInst = FindSpellId:new()
FindSpellIdInst:Init()
